de.katho.kBorrow.models

## Class RewriteUserModel

- java.lang.Object
- - javax.swing.AbstractListModel<java.lang.String>
  - - de.katho.kBorrow.models.UserListModel
    - - de.katho.kBorrow.models.RewriteUserModel

All Implemented Interfaces:
  KGuiModel, java.io.Serializable, javax.swing.ComboBoxModel<java.lang.String>, javax.swing.ListModel<java.lang.String>

    public class RewriteUserModel
    extends UserListModel

Enthält die Benutzer, auf die Ausleihen beim Löschen eines Benutzers umgeschrieben werden können.

See Also:
  Serialized Form

### Field Summary

Fields
`private int` `id` ID des Benutzers, dessen Ausleihen umgeschrieben werden sollen.
`private static long` `serialVersionUID` Serial Version UID

### Fields inherited from class de.katho.kBorrow.models.UserListModel

`data, selectedItem`

### Fields inherited from class javax.swing.AbstractListModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`RewriteUserModel(KUserModel pModel, int pId)` Erzeugt das RewriteUserModel.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fetchData(KDataModel pModel)` Holt die benötigten Daten aus dem als Parameter übergebenen KDataModel.
`int` `getIdByFullname(java.lang.String pName)` Gibt die ID eines Benutzers zurück, dessen voller Name (Vor- und Nachname) per Parameter übergeben wird.

### Methods inherited from class de.katho.kBorrow.models.UserListModel

`getElementAt, getSelectedItem, getSize, setSelectedItem`

### Methods inherited from class javax.swing.AbstractListModel

`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.ListModel

`addListDataListener, removeListDataListener`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serial Version UID

See Also:
  Constant Field Values

#### id

    private int id

ID des Benutzers, dessen Ausleihen umgeschrieben werden sollen.

### Constructor Detail

#### RewriteUserModel

    public RewriteUserModel(KUserModel pModel,
                            int pId)

Erzeugt das RewriteUserModel.

Parameters:
  `pModel` - Referenz auf das KUserModel.
  `pId` - ID des Benutzers, dessen Ausleihen umgeschrieben werden sollen.

### Method Detail

#### getIdByFullname

    public int getIdByFullname(java.lang.String pName)

Gibt die ID eines Benutzers zurück, dessen voller Name (Vor- und Nachname) per Parameter übergeben wird.

Parameters:
  `pName` - Vor- und Nachname als String.
Returns:
  Benutzer-ID als Int.

#### fetchData

    public void fetchData(KDataModel pModel)

Holt die benötigten Daten aus dem als Parameter übergebenen KDataModel.

Specified by:
  `fetchData` in interface `KGuiModel`
Overrides:
  `fetchData` in class `UserListModel`
Parameters:
  `pModel` - KDataModel, von dem die Daten geholt werden sollen.